Libical API Documentation 3.0

Data Fields
icalfileset_options Struct Reference

Options for opening an icalfileset. More...

`#include <icalfileset.h>`

## Data Fields
icalcluster * | cluster
int | flags
int | mode
int | safe_saves

## Detailed Description

Options for opening an icalfileset.

These options should be passed to the icalset_new() function

## Field Documentation

## ◆ cluster

icalcluster* icalfileset_options::cluster

use this cluster to initialize data

## ◆ flags

int icalfileset_options::flags

flags for open() O_RDONLY, etc

## ◆ mode

int icalfileset_options::mode

file mode

## ◆ safe_saves

int icalfileset_options::safe_saves

to lock or not

The documentation for this struct was generated from the following file:

- icalfileset.h